<?php

include '../init.php';
include '../compra/Compra.php';
include '../proveedor/Proveedor.php';
include '../sucursal/Sucursal.php';
include '../empleado/Empleado.php';
include '../fpdf/fpdf.php';

function obtenerMargen($texto){
    $retorno = 39.5 - strlen($texto) / 1.15;
    return $retorno;
}

if ($_SERVER['REQUEST_METHOD'] == 'GET') {
    $connection = Database::connect();

    $compra = Compra::get($_GET['id']);
    $proveedor = Proveedor::edit($compra['proveedor_idproveedor']);
    $sucursal = Sucursal::edit($compra['sucursal_idsucursal']);
    // $empleado = Empleado::edit($compra['empleado_idempleado']);

    $productosSql = "SELECT DISTINCT d.sku, CONCAT(p.nombre, ' ', p.detalle,' ',mar.nombre, ' ', m.nombre) AS nombre, ROUND((dc.cantidad/d.unidad), 0) AS cantidad, dc.precio_compra, dc.subtotal FROM detallecompra dc INNER JOIN compra c ON dc.compra_idcompra = c.idcompra INNER JOIN descripcion d ON dc.descripcion_sku = d.sku INNER JOIN producto p ON d.producto_idproducto = p.idproducto INNER JOIN precio pre ON dc.descripcion_sku = pre.descripcion_sku INNER JOIN marca mar ON p.marca_idmarca = mar.idmarca INNER JOIN presentacion pr ON p.presentacion_idpresentacion = pr.idpresentacion INNER JOIN medida m ON d.medida_idmedida = m.idmedida WHERE c.idcompra = $compra[idcompra]";

    $respuesta = mysqli_query($connection, $productosSql);
    mysqli_close($connection);

    $x = 95;
    $y = 279.4;
    $height = 5;

    $pdf = new Fpdf();
    $pdf->AddPage('P', [$x, $y]);
    $pdf->setMargins(5, 5, 5);

    $pdf->Image('../resources/img/logo.png', 30, 10, 40, 10);

    // Encabezado
    $pdf->Cell(30, 10, '', 0, 1);
    $pdf->SetFont('Times', 'B', 10);
    $pdf->Cell(35, $height, '', 0, 0);
    $pdf->Cell(25, $height, $sucursal['nombre'], 0);

    if($compra['estado'] == 'ANULADA'){
        $pdf->Ln();
        $pdf->SetTextColor(255, 0, 0);
        $pdf->Cell(35, $height, '', 0, 0);
        $pdf->Cell(25, $height, 'ANULADA', 0);
        $pdf->SetTextColor(0, 0, 0);
    }


    $pdf->Ln();

    $pdf->SetFont('Times', '', 8);

    $pdf->Cell(30, $height, '', 0, 0);
    $pdf->Cell(7, $height, 'Constancia de compra', 0, 1);
    $pdf->Cell(28, $height, '', 0, 0);
    $pdf->Cell(7, $height, 'No. Factura : ' . $compra['factura'], 0, 1);
    // end Encabezado

    $pdf->Ln();

    $pdf->Cell(31, $height, '-------------------------------');
    $pdf->Cell(25, $height, 'Datos del Emisor');
    $pdf->Cell(30, $height, '-------------------------------');

    $pdf->Ln();

    $pdf->Cell(32, $height, '');
    $pdf->Cell(23, $height, 'NIT: 90754441', 0, 1);
    $pdf->Cell(30, $height, '');
    $pdf->Cell(28, $height, 'Nombre: ' . $sucursal['nombre'], 0, 1);
    $pdf->Cell(5, $height, '');
    $pdf->Cell(28, $height, 'Direccion: '. $sucursal['direccion'], 0, 1);
    
    $pdf->Ln();

    $pdf->Cell(30, $height, '------------------------------');
    $pdf->Cell(25, $height, 'Datos del Proveedor');
    $pdf->Cell(30, $height, '------------------------------');

    $pdf->Ln();

    $pdf->Cell(1, $height, '');
    $pdf->Cell(28, $height, 'Nombre: ' . $proveedor['nombre'], 0, 1);
    $pdf->Cell(1, $height, '');
    $pdf->Cell(28, $height, 'Direccion: ' . $proveedor['direccion'], 0, 1);
    
    $pdf->Ln();
    $pdf->Cell(25, $height, '');
    $pdf->Cell(28, $height, 'Fecha de emision: ' . $compra['fecha'], 0, 1);

    $pdf->Ln();

    $pdf->Cell(29, $height, '----------------------------');
    $pdf->Cell(28, $height, 'Descripcion del recibo');
    $pdf->Cell(29, $height, '----------------------------');

    $pdf->Ln();

    $pdf->SetFont('Times', 'B', 8);
    $pdf->Cell(8, $height, 'Cant.');
    $pdf->Cell(50, $height, 'Descripcion');
    $pdf->Cell(15, $height, 'P. Unit');
    $pdf->Cell(15, $height, 'Total');

    $pdf->SetFont('Times', '', 7);
    foreach ($respuesta as $item) {
        $pdf->Ln();
        $pdf->Cell(8, $height, $item['cantidad']);
        $pdf->Cell(50, $height, $item['nombre']);
        $pdf->Cell(15, $height, $item['precio_compra']);
        $pdf->Cell(15, $height, $item['subtotal']);
    }

    $pdf->Ln();

    $pdf->SetFont('Times', 'B', 8);
    $pdf->Cell(50, 1, '--------------------------------------------------------------------------------------', 0 ,1);
    // $pdf->Cell(8, $height, 'Total');
    // $pdf->Cell(63, $height, '');
    // $pdf->Cell(10, $height, $total, 0, 1);
    $pdf->Cell(8, $height, 'Total');
    $pdf->Cell(73, $height, $compra['totalcompra'], 0, 1, 'R');
    $pdf->Cell(50, 1, '--------------------------------------------------------------------------------------', 0 ,1);

    $pdf->Ln();

    $pdf->Cell(28, $height, '');
    $pdf->Cell(23, $height, 'Supermercado 4STORE', 0, 1);
    $pdf->Cell(31, $height, '');
    $pdf->Cell(28, $height, 'Un gusto atenderle!', 0, 1);
    $pdf->Cell(34, $height, '');
    $pdf->Cell(28, $height, 'Vuelva pronto', 0, 1);
    
	$pdf->Output();
}